ここから質問投稿すると、最大10000ポイント当たる!!!! >>

サーバ初心者です。安価なレンタル専用サーバでいろいろ練習中です。

WADAX専用サーバ エントリープラン
GUIソフト:PLESK使用
Red Hat Enterprise Linux 5
PHP 5.1
MySQL 5.0

<質問>
yum updateで表示される項目を毎回全てインストール(yコマンド)していると、PHP及びMySQLも自動でアップデートされていくのでしょうか?たとえば、現在のPHP 5.1がPHP 5.2や5.2にアップデートされたり、現在のMySQL 5.0がMySQL 5.1や5.2(将来的には)にアップデートされたりしますか?

それとも、PHPやMySQLなどをアップデートする場合、yumではなく、全く別の操作が必要となるのでしょうか?

また、将来的にPHP 6やMySQL 6のメジャーバージョンアップが公開された場合、Red Hat Enterprise Linux 5のyum updateを継続していればPHP 5がPHP 6にアップデートされたり、MySQL 5がMySQL 6にアップデートされたりするのでしょうか?

WADAXのサポートに聞いたら、サポート対象外ということでした。

参考サイト等ありましたら、URLもお願いします。

よろしくお願いします。

このQ&Aに関連する最新のQ&A

A 回答 (3件)

あれ?


メジャーバージョンアップとマイナーアップデートを間違えた…ようです。

セキュティ関連の修正もありますので、アップデートは必要…です。

外部のリポジトリを使用すると、メジャーバージョンが上がるコトがあるかも知れません。
公式ではsubversion-1.4.2-4.el5_3.1ですが、rpmforgeだとsubversion-1.6.9-0.1.el5.rfのように…。
# 依存関係にはかなり注意を要しますが…。
    • good
    • 0
この回答へのお礼

Wr5さん
ご回答、ありがとうございました。

>メジャーバージョンアップとマイナーアップデートを間違えた…ようです。
了解しました。

>外部のリポジトリを使用すると、メジャーバージョンが上がるコトがあるか
>も知れません。
>公式ではsubversion-1.4.2-4.el5_3.1ですが、rpmforgeだとsubversion-
>1.6.9-0.1.el5.rfのように…。
「rpmforge」などの専門用語、いろいろ勉強になります。なるほどです。

お礼日時:2010/04/04 13:09

>PHPの場合も同様(現在のバージョンから次のバージョンになることはほとんどない)と考えてよいのでしょうか?



ほとんどのパッケージが対象…です。
updateでマイナーバージョンアップが出ることはまずないかと。
# CentOS5.x(RHEL5.x互換)でも、kernelは2.6.18系ですし。
# firefoxは…5.4のリリースの時は3.0.12だったのが3.0.18へ…くらいの変化はあるようです。

>また、将来的にPHP 6やMySQL 6のメジャーバージョンアップが公開された場合、Red Hat Enterprise Linux 5のyum updateを継続していればPHP 5がPHP 6にアップデートされたり、MySQL 5がMySQL 6にアップデートされたりするのでしょうか?

過去の例から…ほぼ無い。と言えます。
セキュリティホールなどの場合はバックポートされることはありますが…
その場合はリリース番号が増えていくような感じで更新されます。
# kernelの例だとkernel-2.6.18-164がkernel-2.6.18-164.2.1とかkernel-2.6.18-164.15.1とか……。
# 「2.6.18-164」は変わりません。
# RHEL 5.3から5.4になるときに「-164」のところの数字は上がった…かと記憶していますが…

この回答への補足

Wr5さん
ご回答、ありがとうございました。

>ほとんどのパッケージが対象…です。
>updateでマイナーバージョンアップが出ることはまずないかと。
それでは、yum updateでは基本的に何を行っているのでしょうか?ご説明からは、yum updateはあまり実行する意味もないように思えますが?やはり、何かしら重要なのでしょうか?

>過去の例から…ほぼ無い。と言えます。
>セキュリティホールなどの場合はバックポートされることはありますが…
>その場合はリリース番号が増えていくような感じで更新されます。
例えば、yum updateを私が管理しているサーバの一つ(上記とは別サーバー)で実行すると
coreutils.i386 5.97-23.el5_4.2 updates
cpio.i386 2.6-23.el5_4.1 updates
cyrus-sasl.i386 2.1.22-5.el5_4.3 updates
cyrus-sasl-lib.i386 2.1.22-5.el5_4.3 updates
cyrus-sasl-plain.i386 2.1.22-5.el5_4.3 updates
gnutls.i386 1.4.1-3.el5_4.8 updates
kernel-headers.i386 2.6.18-164.15.1.el5 updates
kernel-xen.i686 2.6.18-164.15.1.el5 updates
libXi.i386 1.0.1-4.el5_4 updates
mysql.i386 5.0.77-4.el5_4.2 updates
mysql-server.i386 5.0.77-4.el5_4.2 updates
nspr.i386 4.8.4-1.el5_4 updates
nss.i386 3.12.6-1.el5.centos updates
nss-tools.i386 3.12.6-1.el5.centos updates
openssl.i686 0.9.8e-12.el5_4.6 updates
pam.i386 0.99.6.2-6.el5_4.1 updates
selinux-policy.noarch 2.4.6-255.el5_4.4 updates
selinux-policy-targeted.noarch 2.4.6-255.el5_4.4 updates
sudo.i386 1.6.9p17-6.el5_4 updates
tar.i386 2:1.15.1-23.0.1.el5_4.2 updates
tzdata.noarch 2010e-1.el5 updates
などと表示されますが、
この場合の
mysql.i386 5.0.77-4.el5_4.2 updates
mysql-server.i386 5.0.77-4.el5_4.2 updates
は、MySQLのマイナーバージョンアップとは別のアップデートなのでしょうか?表示をどのように理解したらよいのかわかりません。

初心者にも分かりやすい解説サイト等ありましたら、教えて下さい。

よろしくお願いします。

補足日時:2010/04/03 01:15
    • good
    • 0

>現在のMySQL 5.0がMySQL 5.1や5.2(将来的には)にアップデートされたりしますか?


セキュリティーに対しての修正でのバージョンアップはあるが基本的に
Red Hat Enterprise Linuxでは現在のバージョンから次のバージョンになることはほとんどありません。

この回答への補足

qaqa013さん
ご回答、ありがとうございました。

>セキュリティーに対しての修正でのバージョンアップはあるが基本的に
>Red Hat Enterprise Linuxでは現在のバージョンから次のバージョンにな
>ることはほとんどありません。
上記はMySQLに対してご回答いただきましたが、PHPの場合も同様(現在のバージョンから次のバージョンになることはほとんどない)と考えてよいのでしょうか?

>セキュリティーに対しての修正でのバージョンアップはあるが
セキュリティーに対しての修正でのバージョンアップがある場合、yum updateコマンドでアップデートできるのでしょうか(yum でインストールできるパッケージの一覧に表示されるのでしょうか?)?

よろしくお願いします。

補足日時:2010/04/02 22:34
    • good
    • 0

このQ&Aに関連する人気のQ&A

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング